phoenix-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From James Taylor <jamestay...@apache.org>
Subject Re: array support issue
Date Thu, 08 Oct 2015 23:49:35 GMT
Have you seen this thread: http://s.apache.org/GMU which would upgrade you
to 4.5.2?
Thanks,
James


On Thu, Oct 8, 2015 at 9:40 AM, Bulvik, Noam <Noam.Bulvik@teoco.com> wrote:

> Hi all,
>
>
>
> We are using CDH 5.4 and phoenix 4.4. When we try to use the client jar
> (from squirrel ) to query table with array column we get the following
> error  (even when doing simple thing like select <column> from <table with
> array>:
>
>
>
> Error: org.apache.phoenix.schema.IllegalDataException: Unsupported sql
> type: VARCHAR ARRAY
>
> SQLState:  null
>
> ErrorCode: 0
>
>
>
> The same SQL from SQL command line (sqlline.py) it works fine (BTW only
> from phoenix 4.3.1 with 4.4 there is CDH compatibility issue .
>
>
>
> Any idea how it can be fixed?
>
>
>
> Regards ,
>
> Noam
>
> ------------------------------
>
> PRIVILEGED AND CONFIDENTIAL
> PLEASE NOTE: The information contained in this message is privileged and
> confidential, and is intended only for the use of the individual to whom it
> is addressed and others who have been specifically authorized to receive
> it. If you are not the intended recipient, you are hereby notified that any
> dissemination, distribution or copying of this communication is strictly
> prohibited. If you have received this communication in error, or if any
> problems occur with transmission, please contact sender. Thank you.
>

Mime
View raw message